{"openapi":"3.0.1","info":{"title":"9gurus public API","description":"Public 9gurus API containing financial data.","version":"1.0"},"servers":[{"url":"http://api.9gurus.com"}],"components":{"parameters":{"PageParam":{"name":"page","description":"Pagination page. Results are limited to 1,000 items per page.","in":"query","schema":{"type":"integer"},"required":false,"example":1},"CryptocurrencyParam":{"name":"cryptocurrency","description":"Coin symbol, that can be obtained from the \"/v1/crypto/list\" endpoint","in":"path","schema":{"type":"string"},"required":true,"style":"simple","example":"bitcoin"},"ExchangeParam":{"name":"exchange","description":"Exchange symbol","in":"path","schema":{"type":"string"},"required":true,"style":"simple","example":"ARCX"},"TickerParam":{"name":"ticker","description":"Asset symbol (ticker)","in":"path","schema":{"type":"string"},"required":true,"style":"simple","example":"QQQ"},"DateParam":{"name":"date","description":"Date in format yyyy-mm-dd.","in":"path","schema":{"type":"string","format":"date"},"required":true,"style":"simple","example":"2018-07-09"}},"schemas":{"Cryptocurrency":{"type":"object","properties":{"symbol":{"type":"string"},"name":{"type":"string"}}},"CryptoMarketData":{"type":"object","properties":{"symbol":{"type":"string"},"currency":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"price":{"type":"number","format":"float"}}},"Exchange":{"type":"object","properties":{"name":{"type":"string","description":"Exchange name."},"symbol":{"type":"string","description":"MIC (Market Identifier Code - ISO 10383) of the given stock exchange."},"acronym":{"type":"string"},"website":{"type":"string"},"country":{"type":"string"},"city":{"type":"string"}}},"Ticker":{"type":"object","properties":{"name":{"type":"string"},"symbol":{"type":"string"},"has_intraday":{"type":"boolean"},"has_eod":{"type":"boolean"},"country":{"type":"string","nullable":true},"currency":{"type":"object","properties":{"code":{"type":"string"},"symbol":{"type":"string"},"name":{"type":"string"}},"nullable":true}}},"MarketData":{"type":"object","properties":{"open":{"type":"number","format":"float"},"high":{"type":"number","format":"float"},"low":{"type":"number","format":"float"},"close":{"type":"number","format":"float"},"volume":{"type":"integer","format":"int64"},"adj_open":{"type":"number","format":"float","nullable":true},"adj_high":{"type":"number","format":"float","nullable":true},"adj_low":{"type":"number","format":"float","nullable":true},"adj_close":{"type":"number","format":"float","nullable":true},"adj_volume":{"type":"integer","format":"int64","nullable":true},"split_factor":{"type":"number","format":"float"},"dividend":{"type":"number","format":"float"},"date":{"type":"string","format":"date"}}},"Meta":{"type":"object","properties":{"path":{"type":"string"},"per_page":{"type":"integer"},"total":{"type":"integer"},"last_page":{"type":"integer"},"from":{"type":"integer"},"links":{"type":"array","items":{"type":"object","properties":{"active":{"type":"boolean"},"label":{"type":"string"},"url":{"type":"string"}}}},"to":{"type":"integer"},"current_page":{"type":"integer"}}},"Links":{"type":"object","properties":{"next":{"type":"string","nullable":true},"last":{"type":"string"},"prev":{"type":"string","nullable":true},"first":{"type":"string"}}}}},"paths":{"/v1/crypto/list":{"get":{"description":"List all supported cryptocurrencies (name and symbol). Use this to obtain all the coin symbols in order to make API calls.","parameters":[{"$ref":"#/components/parameters/PageParam"}],"responses":{"200":{"description":"The list of cryptocurrencies (name and symbol).","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Cryptocurrency"}},"meta":{"$ref":"#/components/schemas/Meta"},"links":{"$ref":"#/components/schemas/Links"}}},"examples":{"0":{"value":"{\"data\":[{\"symbol\":\"zinu\",\"name\":\"Zombie Inu\"},{\"symbol\":\"zomb\",\"name\":\"Zombie Rising\"},{\"symbol\":\"zskull\",\"name\":\"Zombie Skull Games\"},{\"symbol\":\"zne\",\"name\":\"Zonecoin\"},{\"symbol\":\"zoo\",\"name\":\"ZooCoin\"},{\"symbol\":\"zoo\",\"name\":\"ZOO - Crypto World\"},{\"symbol\":\"zoo\",\"name\":\"ZooKeeper\"},{\"symbol\":\"zoo\",\"name\":\"Zoo Labs\"},{\"symbol\":\"zoom\",\"name\":\"Zoomcoin\"},{\"symbol\":\"zom\",\"name\":\"Zoom Protocol\"},{\"symbol\":\"zm\",\"name\":\"ZoomSwap\"},{\"symbol\":\"zooshi\",\"name\":\"Zooshi\"},{\"symbol\":\"zoot\",\"name\":\"Zoo Token\"},{\"symbol\":\"zora\",\"name\":\"Zoracles\"},{\"symbol\":\"zoro\",\"name\":\"Zoro Inu\"},{\"symbol\":\"zort\",\"name\":\"Zort\"},{\"symbol\":\"zos\",\"name\":\"ZOS\"},{\"symbol\":\"zoa\",\"name\":\"Zotova\"},{\"symbol\":\"zpr\",\"name\":\"ZPER\"},{\"symbol\":\"zrc\",\"name\":\"ZrCoin\"},{\"symbol\":\"zcor\",\"name\":\"Zrocor\"},{\"symbol\":\"zt\",\"name\":\"ZBG Token\"},{\"symbol\":\"ztnz\",\"name\":\"Ztranzit Coin\"},{\"symbol\":\"zeus\",\"name\":\"ZeusNetwork\"},{\"symbol\":\"zuf\",\"name\":\"ZuFinance\"},{\"symbol\":\"zuki\",\"name\":\"Zuki\"},{\"symbol\":\"zuki\",\"name\":\"Zuki Moba\"},{\"symbol\":\"zum\",\"name\":\"ZumCoin\"},{\"symbol\":\"zum\",\"name\":\"ZUM TOKEN\"},{\"symbol\":\"zuna\",\"name\":\"Zuna\"},{\"symbol\":\"zupi\",\"name\":\"Zupi Coin\"},{\"symbol\":\"zlp\",\"name\":\"Zuplo\"},{\"symbol\":\"zusd\",\"name\":\"ZUSD\"},{\"symbol\":\"zuz\",\"name\":\"ZUZ Protocol\"},{\"symbol\":\"zyn\",\"name\":\"Zynecoin\"},{\"symbol\":\"zyro\",\"name\":\"Zyro\"},{\"symbol\":\"zusd\",\"name\":\"Zytara Dollar\"},{\"symbol\":\"zyx\",\"name\":\"ZYX\"},{\"symbol\":\"zzz\",\"name\":\"zzz.finance\"},{\"symbol\":\"zzzv2\",\"name\":\"zzz.finance v2\"}],\"links\":{\"first\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=1\",\"last\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=12\",\"prev\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=11\",\"next\":null},\"meta\":{\"current_page\":12,\"from\":11001,\"last_page\":12,\"links\":[{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=11\",\"label\":\"&laquo; Previous\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=1\",\"label\":\"1\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=2\",\"label\":\"2\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=3\",\"label\":\"3\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=4\",\"label\":\"4\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=5\",\"label\":\"5\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=6\",\"label\":\"6\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=7\",\"label\":\"7\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=8\",\"label\":\"8\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=9\",\"label\":\"9\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=10\",\"label\":\"10\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=11\",\"label\":\"11\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list?page=12\",\"label\":\"12\",\"active\":true},{\"url\":null,\"label\":\"Next &raquo;\",\"active\":false}],\"path\":\"http:\\/\\/api.9gurus.com\\/v1\\/crypto\\/list\",\"per_page\":1000,\"to\":11040,\"total\":11040}}"}}}}}},"tags":["crypto"]}},"/v1/crypto/historical/{cryptocurrency}/{date}":{"get":{"description":"Get historical data (name, price, market, stats) at a given date for a coin","parameters":[{"$ref":"#/components/parameters/CryptocurrencyParam"},{"$ref":"#/components/parameters/DateParam"}],"responses":{"200":{"description":"Object containing the cryptocurrency symbol, (versus) currency, timestamp and price.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/CryptoMarketData"}}},"examples":{"0":{"value":"{\"data\":{\"asset\":\"bitcoin\",\"currency\":\"usd\",\"timestamp\":1531094368,\"price\":6700.63}}"}}}}}},"tags":["crypto"]}},"/v1/exchange/list":{"get":{"description":"Obtain all available exchanges","parameters":[{"$ref":"#/components/parameters/PageParam"}],"responses":{"200":{"description":"An array of objects representing exchanges.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Exchange"}},"meta":{"$ref":"#/components/schemas/Meta"},"links":{"$ref":"#/components/schemas/Links"}}},"examples":{"0":{"value":"{\"data\":[{\"name\":\"NYSE ARCA\",\"symbol\":\"ARCX\",\"acronym\":\"NYSEARCA\",\"website\":\"WWW.NYSE.COM\",\"country\":\"USA\",\"city\":\"New York\"},{\"name\":\"NASDAQ Stock Exchange\",\"symbol\":\"XNAS\",\"acronym\":\"NASDAQ\",\"website\":\"WWW.NASDAQ.COM\",\"country\":\"USA\",\"city\":\"New York\"},{\"name\":\"INDEX\",\"symbol\":\"INDX\",\"acronym\":\"\",\"website\":\"\",\"country\":\"\",\"city\":\"\"}],\"links\":{\"first\":\"http:\\/\\/api.9gurus.com\\/v1\\/exchange\\/list?page=1\",\"last\":\"http:\\/\\/api.9gurus.com\\/v1\\/exchange\\/list?page=1\",\"prev\":null,\"next\":null},\"meta\":{\"current_page\":1,\"from\":1,\"last_page\":1,\"links\":[{\"url\":null,\"label\":\"&laquo; Previous\",\"active\":false},{\"url\":\"http:\\/\\/api.9gurus.com\\/v1\\/exchange\\/list?page=1\",\"label\":\"1\",\"active\":true},{\"url\":null,\"label\":\"Next &raquo;\",\"active\":false}],\"path\":\"http:\\/\\/api.9gurus.com\\/v1\\/exchange\\/list\",\"per_page\":1000,\"to\":3,\"total\":3}}"}}}}}},"tags":["general assets (stocks, indices, commodities, ETFs)"]}},"/v1/exchange/{exchange}/list":{"get":{"description":"Obtain all available tickers for a specific exchange","parameters":[{"$ref":"#/components/parameters/ExchangeParam"},{"$ref":"#/components/parameters/PageParam"}],"responses":{"200":{"description":"An array of objects representing tickers.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Ticker"}},"meta":{"$ref":"#/components/schemas/Meta"},"links":{"$ref":"#/components/schemas/Links"}}}}}}},"tags":["general assets (stocks, indices, commodities, ETFs)"]}},"/v1/ticker/historical/{ticker}/{date}":{"get":{"description":"Obtain end-of-day market data for a ticker","parameters":[{"$ref":"#/components/parameters/TickerParam"},{"$ref":"#/components/parameters/DateParam"}],"responses":{"200":{"description":"An object containing end-of-day market data.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/MarketData"}},"meta":{"$ref":"#/components/schemas/Meta"},"links":{"$ref":"#/components/schemas/Links"}}}}}}},"tags":["general assets (stocks, indices, commodities, ETFs)"]}}}}